import { MoefyCanvasTheme } from '../shared/index.js';
import { CLIENT_CONFIG_FILE, PLUGIN_NAME } from './utils.js';
export const moefyCanvasPlugin = (options = {
    theme: MoefyCanvasTheme.Sparkler,
}) => (app) => {
    const { theme, themeConfig = {}, canvasOptions = {} } = options;
    const pluginObj = {
        name: PLUGIN_NAME,
        define: {
            __MOEFY_CANVAS_THEME__: theme,
            __MOEFY_CANVAS_THEME_CONFIG__: themeConfig,
            __MOEFY_CANVAS_OPTIONS__: canvasOptions,
        },
        clientConfigFile: CLIENT_CONFIG_FILE,
    };
    return pluginObj;
};
